$TITLE FIRM
$offsymlist offsymxref

SET   J / L, K/ ;
*----------------------- PARAMETER DEFINITION ----------------------------------
   PARAMETERS
   BETA      B
   ;
*----------------------- VARIABLE DEFINITION -----------------------------------
   POSITIVE VARIABLE
   F(J)      FACTOR INPUTS
   C         BUDGET
   P(J)      FACTOR INPUT PRICE
   ;
   FREE VARIABLE
   X         OUTPUT
   ;
*----------------------- EQUATION DEFINITION -----------------------------------
   EQUATIONS
   YEQ       BUDGET
   UOBJEQ    OBJECTIVE FUNCTION ;
*-------------------------- INITIAL VALUES -------------------------------------
   BETA      = 3/7;
   F.L("L")  = 150;
   F.L("K")  = 200;
   C.L       = 350;
   P.L("L")  =   1;
   P.L("K")  =   1;
   X.L = (F.L("L")**BETA)*(F.L("K")**(1-BETA));
*------------------------- EQUATION BLOCK -------------------------------------
   YEQ..     C =E= SUM(J, P(J)*F(J));
   UOBJEQ..  X =E= (F("L")**BETA)*(F("K")**(1-BETA)) ;
*------------------------- EXOGENOUS VARIABLES --------------------------------
   P.FX("L") = P.L("L")    ;
   P.FX("K") = P.L("K")    ;
   C.FX      = C.L*1.0     ;
   F.LO(J)   = 0.000001    ;
*----------------------- CLOSING --------------------------- -------------------
MODEL   FIRM MODEL / ALL / ;
options iterlim=1000,limrow=0,limcol=0,domlim=0 ;
options reslim = 1500;
options nlp=minos5;
options solprint=OFF;
SOLVE   FIRM MAXMIZING X USING NLP;
option  decimals=3;
DISPLAY F.L, X.L, C.L;


