$TITLE HOUSEHOLD MAXIMIZATION
$offsymlist offsymxref

SET   I / S1, S2/ ;
*----------------------- PARAMETER DEFINITION ----------------------------------
   PARAMETERS
   ALPHA      A
   ;
*----------------------- VARIABLE DEFINITION -----------------------------------
   POSITIVE VARIABLE
   C(I)      CONSUMPTION
   Y         INCOME
   P(I)      PRICE
   ;
   FREE VARIABLE
   U         UTILITY
   ;
*----------------------- EQUATION DEFINITION -----------------------------------
   EQUATIONS
   YEQ       BUDGET
   UOBJEQ    OBJECTIVE FUNCTION ;
*-------------------------- INITIAL VALUES -------------------------------------
   ALPHA     = 3/7;
   C.L("S1") = 150;
   C.L("S2") = 200;
   Y.L       = 350;
   P.L("S1") =   1;
   P.L("S2") =   1;
   U.L = (C.L("S1")**ALPHA)*(C.L("S2")**(1-ALPHA));
*------------------------- EQUATION BLOCK -------------------------------------
   YEQ..     Y =E= SUM(I, P(I)*C(I));
   UOBJEQ..  U =E= (C("S1")**ALPHA)*(C("S2")**(1-ALPHA)) ;
*------------------------- EXOGENOUS VARIABLES --------------------------------
   P.FX("S1")= P.L("S1")   ;
   P.FX("S2")= P.L("S2")   ;
   Y.FX      = Y.L*1.0     ;
   C.LO(I)   = 0.000001    ;
*----------------------- CLOSING --------------------------- -------------------
MODEL   HH MODEL / ALL / ;
options iterlim=1000,limrow=0,limcol=0,domlim=0 ;
options reslim = 1500;
options nlp=minos5;
options solprint=OFF;
SOLVE   HH MAXMIZING U USING NLP;
option  decimals=3;
DISPLAY C.L, U.L, Y.L;